domingo, 23 de outubro de 2011

Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: "pixmap"

Se você leu esta mensagem no terminal ao executar um programa escrito em gtk, não se assuste, nem se desespere, nem arranque os cabelos.

Há situações em que não se consegue utilizar o programa. Em outras não afeta em nada. Você só fica sabendo do dito-cujo quando usa a "tela preta".

Se a sua pessoa está no primeiro grupo, este problema é facilmente corrigível, bastando instalar o pacote abaixo. Uso como exemplo o Debian, Ubuntu e derivadas:

ubuntu
$ sudo apt-get install gtk2-engines-pixbuf

debian
$ su + senha de root + [enter]
# apt-get install gtk2-engines-pixbuf

Nas demais distros, procure pelo pacote com o mesmo nome ou equivalente, segundo os procedimentos padronizados para elas.

Até a próxima dica!
;-))

10 comentários:

  1. Excelente dica companheiro, parabéns.

    ResponderExcluir
    Respostas
    1. Obrigado. Fico contente se foi útil para você! ;-))

      Excluir
  2. Muito bom me ajudou no ubuntu, vou ver no debian agora.

    ResponderExcluir
  3. Eu novato no Ubuntu "12.04" morrendo de medo.
    kkkkkkk

    Muito obrigado pela dica ;)

    ResponderExcluir
  4. fico contente por ter ajudado!
    ;-))

    ResponderExcluir
  5. Valeu tava com esse problema ha um tempao e nao conseguia resolver!

    ResponderExcluir